Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools PKI SDK CMP Java API Reference 10g Release 3 (10.1.3) B25373-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.security.crypto.cmp
Class CertConfirm

`java.lang.Object
oracle.security.crypto.cmp.PKIMessageBody
oracle.security.crypto.cmp.CertConfirm`

All Implemented Interfaces:
  oracle.security.crypto.asn1.ASN1Object, oracle.security.crypto.util.Streamable

public class CertConfirm
extends PKIMessageBody

PKI message body of type Certificate Confirmation.

Nested Class Summary

Nested classes inherited from class oracle.security.crypto.cmp.PKIMessageBody
`PKIMessageBody.Type`

Constructor Summary
`CertConfirm()` Create a `CertConfirm`.
`CertConfirm(java.io.InputStream is)`
`CertConfirm(oracle.security.crypto.cert.X509 cert, java.math.BigInteger certReqID)`
`CertConfirm(oracle.security.crypto.cert.X509 cert, java.math.BigInteger certReqID, PKIStatusInfo status)`

Method Summary
`void` | `addCertificate(oracle.security.crypto.cert.X509 cert, java.math.BigInteger certReqID)`
`void` | `addCertificate(oracle.security.crypto.cert.X509 cert, java.math.BigInteger certReqID, PKIStatusInfo status)`
`java.util.Enumeration` | `certHashes()` Return an enumeration of the certificate hashes.
`java.util.Enumeration` | `certReqIDs()` Return the certificate request IDs.
`PKIStatusInfo` | `getStatusInfo(java.math.BigInteger certReqID)` Returns a PKIStatusInfo corresponding to the given cert request ID.
`PKIStatusInfo` | `getStatusInfo(byte[] hash)` Returns a PKIStatusInfo corresponding to the given hash.
`PKIMessageBody.Type` | `getType()` Returns one of the values defined in `PKIMessageBody.Type`.
`void` | `input(java.io.InputStream is)`
`java.lang.String` | `toString()`

Methods inherited from class oracle.security.crypto.cmp.PKIMessageBody
`inputInstance, length, output`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CertConfirm

    public CertConfirm()

  Create a `CertConfirm`.

### CertConfirm

    public CertConfirm(oracle.security.crypto.cert.X509 cert,
                       java.math.BigInteger certReqID)
                throws oracle.security.crypto.core.AlgorithmIdentifierException

### CertConfirm

    public CertConfirm(oracle.security.crypto.cert.X509 cert,
                       java.math.BigInteger certReqID,
                       PKIStatusInfo status)
                throws oracle.security.crypto.core.AlgorithmIdentifierException

### CertConfirm

    public CertConfirm(java.io.InputStream is)
                throws java.io.IOException

Method Detail

### addCertificate

    public void addCertificate(oracle.security.crypto.cert.X509 cert,
                               java.math.BigInteger certReqID)
                        throws oracle.security.crypto.core.AlgorithmIdentifierException

  Throws:
    `oracle.security.crypto.core.AlgorithmIdentifierException`

### addCertificate

    public void addCertificate(oracle.security.crypto.cert.X509 cert,
                               java.math.BigInteger certReqID,
                               PKIStatusInfo status)
                        throws oracle.security.crypto.core.AlgorithmIdentifierException

  Throws:
    `oracle.security.crypto.core.AlgorithmIdentifierException`

### certHashes

    public java.util.Enumeration certHashes()

  Return an enumeration of the certificate hashes.

### certReqIDs

    public java.util.Enumeration certReqIDs()

  Return the certificate request IDs.

### getStatusInfo

    public PKIStatusInfo getStatusInfo(byte[] hash)

  Returns a PKIStatusInfo corresponding to the given hash.

### getStatusInfo

    public PKIStatusInfo getStatusInfo(java.math.BigInteger certReqID)

  Returns a PKIStatusInfo corresponding to the given cert request ID.

### getType

    public PKIMessageBody.Type getType()

  Description copied from class: `PKIMessageBody`
  Returns one of the values defined in `PKIMessageBody.Type`.
  Specified by:
    `getType` in class `PKIMessageBody`

### toString

    public java.lang.String toString()

### input

    public void input(java.io.InputStream is)
               throws java.io.IOException

  Throws:
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools PKI SDK CMP Java API Reference 10g Release 3 (10.1.3) B25373-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005, 2006 , Oracle. All rights reserved.